#ifndef FACTOR_H
#define FACTOR_H

/* we assume that unsigned int ranges from 0 to 4294967295
   where we have at maximum nine different prime factors */
#define MAX_FACTORS 9

struct factors {
   unsigned int n; // factorized number
   unsigned int nfactors; // number of prime factors below
   unsigned int count[MAX_FACTORS]; // counts of the individual prime factors
   unsigned int factor[MAX_FACTORS]; // individual prime factors
};

/* factorize n into primes and store the result into f */
void factor(unsigned int n, struct factors* f);

#endif
