#include <stdio.h>
#include <stdlib.h>
#include <stralloc.h>
#include "weather.h"

int main(int argc, char** argv) {
   char* cmdname = *argv++; --argc;
   if (argc != 1) {
      fprintf(stderr, "Usage: %s location\n", cmdname); exit(1);
   }
   Weather weather = {{0}};
   init_weather(&weather, argv[0]);
   if (update_weather(&weather)) {
      printf("Temperature: %d C\n", weather.temp);
      stralloc_0(&weather.text);
      printf("Text: %s\n", weather.text.s);
   } else {
      fprintf(stderr, "%s: no weather information obtained for %s\n",
	 cmdname, argv[0]);
      exit(1);
   }
   free_weather(&weather);
}
